import { sql_common } from "./interfaces";

const tables: string[] = [
    "CREATE TABLE IF NOT EXISTS servers (server_snowflake bigint NOT NULL PRIMARY KEY,server_name text NOT NULL,server_description mediumtext);",
    "CREATE TABLE IF NOT EXISTS channels (channel_snowflake bigint NOT NULL PRIMARY KEY,server_snowflake bigint NOT NULL,channel_name text NOT NULL);"
]

export async function makeTables(db: sql_common): Promise<number[]> {
    return Promise.all(tables.map((statement) => db.run(statement)))
}

